> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Gift Card

> This endpoint returns a single gift card with its current balance.

This endpoint retrieves details for a specific gift card, including the current balance fetched in real-time from the gift card provider.

<Note>
  Please review proper request headers [here](/consumer/usage/headers).
</Note>

### Parameters

<ParamField path="id" type="string" required>
  The gift card ID
</ParamField>

### Response

<Snippet file="entities/gift-card.mdx" />

<RequestExample>
  ```bash Get Gift Card theme={null}
  curl https://api.thanxsandbox.com/gift_cards/abc123def456 \
    -X GET \
    -H "Content-Type: application/json"  \
    -H "Accept-Version: v4.0" \
    -H "Accept: application/json" \
    -H "Authorization: Bearer ${token}" \
    -H "X-ClientId: ${client_id}"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "gift_card": {
      "id": "abc123def456",
      "provider_id": "prov123merchant",
      "card_number": "1234567890123456",
      "pin": "1234",
      "last4": "3456",
      "balance": 50.00,
      "state": "active",
      "expires_at": "2026-12-31T23:59:59Z",
      "created_at": "2024-12-15T10:00:00Z"
    }
  }
  ```

  ```json 400 Bad Request theme={null}
  {
    "error": {
      "message": "Could not fetch balance"
    }
  }
  ```
</ResponseExample>
